{{#element}}
  {{#if title}}
    <h2>{{title}}</h2>
  {{/if}}
  <table>
    <thead>
      <tr>
        {{#if fieldVisible}}
          <th style="width: 20%">Field</th>
        {{/if}}

        {{#if typeVisible}}
          <th style="width: 20%">Type</th>
        {{/if}}

        {{#if valueVisible}}
          <th>Value</th>
        {{/if}}

        {{#if descriptionVisible}}
          <th>Description</th>
        {{/if}}
      </tr>
    </thead>
    <tbody>
      {{#each params}}
        <tr state="{{state}}">
          {{#if ../fieldVisible}}
            <td>
              {{{subTemplate "ElementParamField" name=@key param=.}}}
            </td>
          {{/if}}

          {{#if ../typeVisible}}
            <td>
              {{{subTemplate "ElementParamType" param=.}}}
            </td>
          {{/if}}

          {{#if ../valueVisible}}
            <td>{{showDiff value value_diff}}</td>
          {{/if}}

          {{#if ../descriptionVisible}}
            <td>
              {{{subTemplate "ElementParamDescription" param=.}}}
            </td>
          {{/if}}
        </tr>
      {{/each}}
    </tbody>
  </table>
{{/element}}